apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: emailserver-deployment
spec:
  replicas: 2
  revisionHistoryLimit: 2
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: emailserver
    spec:
      containers:
      - name: emailserver-container
        image: gcr.io/staffjoy-prod/emailserver:VERSION
        ports:
        - containerPort: 80
        - containerPort: 1000
        livenessProbe:
          httpGet:
            path: /health
            port: 80
        readinessProbe:
          httpGet:
            path: /health
            port: 80
        env:
        - name: DEPLOY
          value: VERSION # Gets replaced during deploy
        - name: ENV
          valueFrom:
            fieldRef:
              fieldPath: metadata.namespace
        - name: SENTRY_DSN
          valueFrom:
            secretKeyRef:
              name: sentry
              key: dsn
        - name: MANDRILL_API_KEY
          valueFrom:
            secretKeyRef:
              name: mandrill
              key: key
